﻿//
// Haftungsausschluss
// Die Software wurde mit grösster Sorgfalt entwickelt. Es kann aber nicht garantiert werden,
// dass die Software auf jedem Zielsystem einwandfrei läuft. Eine vollständig fehlerfreie Software
// ist nach dem heutigen Stand der Technik nicht möglich.
// Die Software wird wie sie ist ("as is") zur Verfügung gestellt, ohne jede Garantie für Brauchbarkeit
// für einen bestimmten Anwendungsfall. Für Schäden, die durch die Nutzung (direkt oder indirekt) entstehen
// besteht keinerlei Haftung.
//
// Urheberrecht
// Alle erwähnten Marken- und Produktnamen sind Warenzeichen der jeweiligen Rechtsinhaber und gelten uneingeschränkt.
// Das Fehlen einer entsprechenden Kennzeichnung in der Software und der Dokumentation bedeutet nicht,
// dass es sich um einen freien Namen im Sinne der Waren- und Markenzeichen - Gesetzgebung handelt.
//
// Copyright
// Die Software wurde für den Verband Schweizerischer Fachhäuser für Medizinaltechnik (VSFM) entwickelt.
// Weitere Informationen sind unter www.vsfm.info oder www.smeex.ch zu finden.
// © 2009-2011 VSFM - Alle Rechte vorbehalten.
//
//

namespace Vsfm.UcumDemo
{
    /// <summary>
    /// Hauptklasse der UCUM Demo-Applikation. Sie solld ie verwendung der UCUM Bibliothek in Vsfm.Ucum
    /// demonstrieren.
    /// </summary>
    partial class UcumDemo
    {
        /// <summary>
        /// Erforderliche Designervariable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        

        /// <summary>
        /// Verwendete Ressourcen bereinigen.
        /// </summary>
        /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Vom Windows Form-Designer generierter Code

        /// <summary>
        /// Erforderliche Methode für die Designerunterstützung.
        /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(UcumDemo));
            this.tbcUcumDemo = new System.Windows.Forms.TabControl();
            this.tbConversion = new System.Windows.Forms.TabPage();
            this.btnConvReset = new System.Windows.Forms.Button();
            this.btnConvConvert = new System.Windows.Forms.Button();
            this.lblConvToUnit = new System.Windows.Forms.Label();
            this.lblConvToVal = new System.Windows.Forms.Label();
            this.lblConvTo = new System.Windows.Forms.Label();
            this.cboConvToUnit = new System.Windows.Forms.ComboBox();
            this.txtConvToVal = new System.Windows.Forms.TextBox();
            this.lblConvFromUnit = new System.Windows.Forms.Label();
            this.lblConvFromVal = new System.Windows.Forms.Label();
            this.lblConvFrom = new System.Windows.Forms.Label();
            this.cboConvFromUnit = new System.Windows.Forms.ComboBox();
            this.txtConvFromVal = new System.Windows.Forms.TextBox();
            this.tbValidation = new System.Windows.Forms.TabPage();
            this.txtValResult = new System.Windows.Forms.TextBox();
            this.lblValResult = new System.Windows.Forms.Label();
            this.btnValValidate = new System.Windows.Forms.Button();
            this.lblValUnit = new System.Windows.Forms.Label();
            this.txtValUnit = new System.Windows.Forms.TextBox();
            this.tbValidateCanonicalMatch = new System.Windows.Forms.TabPage();
            this.txtMatchResult = new System.Windows.Forms.TextBox();
            this.lblMatchResult = new System.Windows.Forms.Label();
            this.btnMatchReset = new System.Windows.Forms.Button();
            this.btnMatchStart = new System.Windows.Forms.Button();
            this.lblMatchUnit2 = new System.Windows.Forms.Label();
            this.lblMatchUnit1 = new System.Windows.Forms.Label();
            this.cboMatchUnit2 = new System.Windows.Forms.ComboBox();
            this.cboMatchUnit1 = new System.Windows.Forms.ComboBox();
            this.tbUnitNameList = new System.Windows.Forms.TabPage();
            this.lblUnitNameList = new System.Windows.Forms.Label();
            this.txtUnitNameList = new System.Windows.Forms.TextBox();
            this.tbcUcumDemo.SuspendLayout();
            this.tbConversion.SuspendLayout();
            this.tbValidation.SuspendLayout();
            this.tbValidateCanonicalMatch.SuspendLayout();
            this.tbUnitNameList.SuspendLayout();
            this.SuspendLayout();
            // 
            // tbcUcumDemo
            // 
            this.tbcUcumDemo.Controls.Add(this.tbConversion);
            this.tbcUcumDemo.Controls.Add(this.tbValidation);
            this.tbcUcumDemo.Controls.Add(this.tbValidateCanonicalMatch);
            this.tbcUcumDemo.Controls.Add(this.tbUnitNameList);
            resources.ApplyResources(this.tbcUcumDemo, "tbcUcumDemo");
            this.tbcUcumDemo.Name = "tbcUcumDemo";
            this.tbcUcumDemo.SelectedIndex = 0;
            // 
            // tbConversion
            // 
            this.tbConversion.Controls.Add(this.btnConvReset);
            this.tbConversion.Controls.Add(this.btnConvConvert);
            this.tbConversion.Controls.Add(this.lblConvToUnit);
            this.tbConversion.Controls.Add(this.lblConvToVal);
            this.tbConversion.Controls.Add(this.lblConvTo);
            this.tbConversion.Controls.Add(this.cboConvToUnit);
            this.tbConversion.Controls.Add(this.txtConvToVal);
            this.tbConversion.Controls.Add(this.lblConvFromUnit);
            this.tbConversion.Controls.Add(this.lblConvFromVal);
            this.tbConversion.Controls.Add(this.lblConvFrom);
            this.tbConversion.Controls.Add(this.cboConvFromUnit);
            this.tbConversion.Controls.Add(this.txtConvFromVal);
            resources.ApplyResources(this.tbConversion, "tbConversion");
            this.tbConversion.Name = "tbConversion";
            this.tbConversion.UseVisualStyleBackColor = true;
            this.tbConversion.Enter += new System.EventHandler(this.tbConversion_Enter);
            // 
            // btnConvReset
            // 
            resources.ApplyResources(this.btnConvReset, "btnConvReset");
            this.btnConvReset.Name = "btnConvReset";
            this.btnConvReset.UseVisualStyleBackColor = true;
            this.btnConvReset.Click += new System.EventHandler(this.btnConvReset_Click);
            // 
            // btnConvConvert
            // 
            resources.ApplyResources(this.btnConvConvert, "btnConvConvert");
            this.btnConvConvert.Name = "btnConvConvert";
            this.btnConvConvert.UseVisualStyleBackColor = true;
            this.btnConvConvert.Click += new System.EventHandler(this.btnConvert_Click);
            // 
            // lblConvToUnit
            // 
            resources.ApplyResources(this.lblConvToUnit, "lblConvToUnit");
            this.lblConvToUnit.Name = "lblConvToUnit";
            // 
            // lblConvToVal
            // 
            resources.ApplyResources(this.lblConvToVal, "lblConvToVal");
            this.lblConvToVal.Name = "lblConvToVal";
            // 
            // lblConvTo
            // 
            resources.ApplyResources(this.lblConvTo, "lblConvTo");
            this.lblConvTo.Name = "lblConvTo";
            // 
            // cboConvToUnit
            // 
            resources.ApplyResources(this.cboConvToUnit, "cboConvToUnit");
            this.cboConvToUnit.Name = "cboConvToUnit";
            // 
            // txtConvToVal
            // 
            resources.ApplyResources(this.txtConvToVal, "txtConvToVal");
            this.txtConvToVal.Name = "txtConvToVal";
            // 
            // lblConvFromUnit
            // 
            resources.ApplyResources(this.lblConvFromUnit, "lblConvFromUnit");
            this.lblConvFromUnit.Name = "lblConvFromUnit";
            // 
            // lblConvFromVal
            // 
            resources.ApplyResources(this.lblConvFromVal, "lblConvFromVal");
            this.lblConvFromVal.Name = "lblConvFromVal";
            // 
            // lblConvFrom
            // 
            resources.ApplyResources(this.lblConvFrom, "lblConvFrom");
            this.lblConvFrom.Name = "lblConvFrom";
            // 
            // cboConvFromUnit
            // 
            resources.ApplyResources(this.cboConvFromUnit, "cboConvFromUnit");
            this.cboConvFromUnit.Name = "cboConvFromUnit";
            // 
            // txtConvFromVal
            // 
            resources.ApplyResources(this.txtConvFromVal, "txtConvFromVal");
            this.txtConvFromVal.Name = "txtConvFromVal";
            // 
            // tbValidation
            // 
            this.tbValidation.Controls.Add(this.txtValResult);
            this.tbValidation.Controls.Add(this.lblValResult);
            this.tbValidation.Controls.Add(this.btnValValidate);
            this.tbValidation.Controls.Add(this.lblValUnit);
            this.tbValidation.Controls.Add(this.txtValUnit);
            resources.ApplyResources(this.tbValidation, "tbValidation");
            this.tbValidation.Name = "tbValidation";
            this.tbValidation.UseVisualStyleBackColor = true;
            this.tbValidation.Enter += new System.EventHandler(this.tbValidation_Enter);
            // 
            // txtValResult
            // 
            resources.ApplyResources(this.txtValResult, "txtValResult");
            this.txtValResult.Name = "txtValResult";
            // 
            // lblValResult
            // 
            resources.ApplyResources(this.lblValResult, "lblValResult");
            this.lblValResult.Name = "lblValResult";
            // 
            // btnValValidate
            // 
            resources.ApplyResources(this.btnValValidate, "btnValValidate");
            this.btnValValidate.Name = "btnValValidate";
            this.btnValValidate.UseVisualStyleBackColor = true;
            this.btnValValidate.Click += new System.EventHandler(this.btnValValidate_Click);
            // 
            // lblValUnit
            // 
            resources.ApplyResources(this.lblValUnit, "lblValUnit");
            this.lblValUnit.Name = "lblValUnit";
            // 
            // txtValUnit
            // 
            resources.ApplyResources(this.txtValUnit, "txtValUnit");
            this.txtValUnit.Name = "txtValUnit";
            this.txtValUnit.TextChanged += new System.EventHandler(this.txtValUnit_TextChanged);
            // 
            // tbValidateCanonicalMatch
            // 
            this.tbValidateCanonicalMatch.Controls.Add(this.txtMatchResult);
            this.tbValidateCanonicalMatch.Controls.Add(this.lblMatchResult);
            this.tbValidateCanonicalMatch.Controls.Add(this.btnMatchReset);
            this.tbValidateCanonicalMatch.Controls.Add(this.btnMatchStart);
            this.tbValidateCanonicalMatch.Controls.Add(this.lblMatchUnit2);
            this.tbValidateCanonicalMatch.Controls.Add(this.lblMatchUnit1);
            this.tbValidateCanonicalMatch.Controls.Add(this.cboMatchUnit2);
            this.tbValidateCanonicalMatch.Controls.Add(this.cboMatchUnit1);
            resources.ApplyResources(this.tbValidateCanonicalMatch, "tbValidateCanonicalMatch");
            this.tbValidateCanonicalMatch.Name = "tbValidateCanonicalMatch";
            this.tbValidateCanonicalMatch.UseVisualStyleBackColor = true;
            // 
            // txtMatchResult
            // 
            resources.ApplyResources(this.txtMatchResult, "txtMatchResult");
            this.txtMatchResult.Name = "txtMatchResult";
            // 
            // lblMatchResult
            // 
            resources.ApplyResources(this.lblMatchResult, "lblMatchResult");
            this.lblMatchResult.Name = "lblMatchResult";
            // 
            // btnMatchReset
            // 
            resources.ApplyResources(this.btnMatchReset, "btnMatchReset");
            this.btnMatchReset.Name = "btnMatchReset";
            this.btnMatchReset.UseVisualStyleBackColor = true;
            this.btnMatchReset.Click += new System.EventHandler(this.btnMatchReset_Click);
            // 
            // btnMatchStart
            // 
            resources.ApplyResources(this.btnMatchStart, "btnMatchStart");
            this.btnMatchStart.Name = "btnMatchStart";
            this.btnMatchStart.UseVisualStyleBackColor = true;
            this.btnMatchStart.Click += new System.EventHandler(this.btnMatchStart_Click);
            // 
            // lblMatchUnit2
            // 
            resources.ApplyResources(this.lblMatchUnit2, "lblMatchUnit2");
            this.lblMatchUnit2.Name = "lblMatchUnit2";
            // 
            // lblMatchUnit1
            // 
            resources.ApplyResources(this.lblMatchUnit1, "lblMatchUnit1");
            this.lblMatchUnit1.Name = "lblMatchUnit1";
            // 
            // cboMatchUnit2
            // 
            resources.ApplyResources(this.cboMatchUnit2, "cboMatchUnit2");
            this.cboMatchUnit2.Name = "cboMatchUnit2";
            // 
            // cboMatchUnit1
            // 
            resources.ApplyResources(this.cboMatchUnit1, "cboMatchUnit1");
            this.cboMatchUnit1.Name = "cboMatchUnit1";
            // 
            // tbUnitNameList
            // 
            this.tbUnitNameList.Controls.Add(this.lblUnitNameList);
            this.tbUnitNameList.Controls.Add(this.txtUnitNameList);
            resources.ApplyResources(this.tbUnitNameList, "tbUnitNameList");
            this.tbUnitNameList.Name = "tbUnitNameList";
            this.tbUnitNameList.UseVisualStyleBackColor = true;
            // 
            // lblUnitNameList
            // 
            resources.ApplyResources(this.lblUnitNameList, "lblUnitNameList");
            this.lblUnitNameList.Name = "lblUnitNameList";
            // 
            // txtUnitNameList
            // 
            resources.ApplyResources(this.txtUnitNameList, "txtUnitNameList");
            this.txtUnitNameList.Name = "txtUnitNameList";
            // 
            // UcumDemo
            // 
            resources.ApplyResources(this, "$this");
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.tbcUcumDemo);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.Name = "UcumDemo";
            this.tbcUcumDemo.ResumeLayout(false);
            this.tbConversion.ResumeLayout(false);
            this.tbConversion.PerformLayout();
            this.tbValidation.ResumeLayout(false);
            this.tbValidation.PerformLayout();
            this.tbValidateCanonicalMatch.ResumeLayout(false);
            this.tbValidateCanonicalMatch.PerformLayout();
            this.tbUnitNameList.ResumeLayout(false);
            this.tbUnitNameList.PerformLayout();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.TabControl tbcUcumDemo;
        private System.Windows.Forms.TabPage tbConversion;
        private System.Windows.Forms.Button btnConvConvert;
        private System.Windows.Forms.Label lblConvToUnit;
        private System.Windows.Forms.Label lblConvToVal;
        private System.Windows.Forms.Label lblConvTo;
        private System.Windows.Forms.ComboBox cboConvToUnit;
        private System.Windows.Forms.TextBox txtConvToVal;
        private System.Windows.Forms.Label lblConvFromUnit;
        private System.Windows.Forms.Label lblConvFromVal;
        private System.Windows.Forms.Label lblConvFrom;
        private System.Windows.Forms.ComboBox cboConvFromUnit;
        private System.Windows.Forms.TextBox txtConvFromVal;
        private System.Windows.Forms.TabPage tbValidation;
        private System.Windows.Forms.TabPage tbValidateCanonicalMatch;
        private System.Windows.Forms.Label lblValResult;
        private System.Windows.Forms.Button btnValValidate;
        private System.Windows.Forms.Label lblValUnit;
        private System.Windows.Forms.TextBox txtValUnit;
        private System.Windows.Forms.TextBox txtValResult;
        private System.Windows.Forms.Button btnConvReset;
        private System.Windows.Forms.TextBox txtMatchResult;
        private System.Windows.Forms.Label lblMatchResult;
        private System.Windows.Forms.Button btnMatchReset;
        private System.Windows.Forms.Button btnMatchStart;
        private System.Windows.Forms.Label lblMatchUnit2;
        private System.Windows.Forms.Label lblMatchUnit1;
        private System.Windows.Forms.ComboBox cboMatchUnit2;
        private System.Windows.Forms.ComboBox cboMatchUnit1;
        private System.Windows.Forms.TabPage tbUnitNameList;
        private System.Windows.Forms.TextBox txtUnitNameList;
        private System.Windows.Forms.Label lblUnitNameList;

    }
}

